
package com.tmerclub.cloud.common.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 指定条件包邮项VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
public class TransfeeFreeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "指定条件包邮项id")
    private Long transfeeFreeId;

    @Schema(description = "运费模板id")
    private Long transportId;

    @Schema(description = "包邮方式 （0 满x件/重量/体积包邮 1满金额包邮 2满x件/重量/体积且满金额包邮）")
    private Integer freeType;

    @Schema(description = "需满金额")
    private Long amount;

    @Schema(description = "包邮x件/重量/体积")
    private Double piece;

    @Schema(description = "指定条件包邮城市项", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<AreaVO> freeCityList;

    public List<AreaVO> getFreeCityList() {
        return freeCityList;
    }

    public void setFreeCityList(List<AreaVO> freeCityList) {
        this.freeCityList = freeCityList;
    }

    public Long getTransfeeFreeId() {
        return transfeeFreeId;
    }

    public void setTransfeeFreeId(Long transfeeFreeId) {
        this.transfeeFreeId = transfeeFreeId;
    }

    public Long getTransportId() {
        return transportId;
    }

    public void setTransportId(Long transportId) {
        this.transportId = transportId;
    }

    public Integer getFreeType() {
        return freeType;
    }

    public void setFreeType(Integer freeType) {
        this.freeType = freeType;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public Double getPiece() {
        return piece;
    }

    public void setPiece(Double piece) {
        this.piece = piece;
    }

    @Override
    public String toString() {
        return "TransfeeFreeVO{" +
                "transfeeFreeId=" + transfeeFreeId +
                ", transportId=" + transportId +
                ", freeType=" + freeType +
                ", amount=" + amount +
                ", piece=" + piece +
                ", freeCityList=" + freeCityList +
                '}';
    }
}
